org.wso2.carbon.rest.api.stub

## Interface RestApiAdmin

- All Known Implementing Classes:
    RestApiAdminStub

      public interface RestApiAdmin

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addApi(APIData apiData156)` Auto generated method signature
    `boolean` | `addApiForTenant(String apiData105, String tenantDomain106)` Auto generated method signature
    `boolean` | `addApiFromString(String apiData101)` Auto generated method signature
    `void` | `addSwaggerDocument(String apiName135, String swaggerJsonString136, int tenantId137)` Auto generated method signature for Asynchronous Invocations
    `void` | `deleteAllApi()` Auto generated method signature for Asynchronous Invocations
    `boolean` | `deleteApi(String apiName61)` Auto generated method signature
    `boolean` | `deleteApiForTenant(String apiName110, String tenantDomain111)` Auto generated method signature
    `void` | `deleteSelectedApi(String[] apiNames99)` Auto generated method signature for Asynchronous Invocations
    `String` | `disableStatistics(String apiName83)` Auto generated method signature
    `String` | `disableTracing(String apiName69)` Auto generated method signature
    `String` | `enableStatistics(String apiName87)` Auto generated method signature
    `String` | `enableTracing(String apiName95)` Auto generated method signature
    `String` | `generateAPIFromSwagger(String swaggerJsonString160)` Auto generated method signature
    `String` | `generateUpdatedAPIFromSwagger(String swaggerJsonString56, String existingApiName57)` Auto generated method signature
    `APIData` | `getApiByName(String apiName65)` Auto generated method signature
    `int` | `getAPICount()` Auto generated method signature
    `APIData` | `getApiForTenant(String apiName78, String tenantDomain79)` Auto generated method signature
    `String[]` | `getApiNames()` Auto generated method signature
    `APIData[]` | `getAPIsForListing(int pageNumber73, int itemsPerPage74)` Auto generated method signature
    `String` | `getApiSource(APIData apiData130)` Auto generated method signature
    `String` | `getResourceSource(ResourceData resourceData123)` Auto generated method signature
    `String[]` | `getSequences()` Auto generated method signature
    `String` | `getServerContext()` Auto generated method signature
    `String` | `getSwaggerDocument(String apiName115, int tenantId116)` Auto generated method signature
    `void` | `startaddApi(APIData apiData156, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startaddApiForTenant(String apiData105, String tenantDomain106, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startaddApiFromString(String apiData101, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdeleteApi(String apiName61, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdeleteApiForTenant(String apiName110, String tenantDomain111, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdisableStatistics(String apiName83, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdisableTracing(String apiName69, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startenableStatistics(String apiName87, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startenableTracing(String apiName95, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgenerateAPIFromSwagger(String swaggerJsonString160, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgenerateUpdatedAPIFromSwagger(String swaggerJsonString56, String existingApiName57, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetApiByName(String apiName65, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetAPICount(RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetApiForTenant(String apiName78, String tenantDomain79, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetApiNames(RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetAPIsForListing(int pageNumber73, int itemsPerPage74, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetApiSource(APIData apiData130, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetResourceSource(ResourceData resourceData123, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetSequences(RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetServerContext(RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetSwaggerDocument(String apiName115, int tenantId116, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startupdateApi(String apiName139, APIData apiData140, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startupdateApiForTenant(String apiName147, String apiData148, String tenantDomain149, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startupdateApiFromString(String apiName51, String apiData52, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `boolean` | `updateApi(String apiName139, APIData apiData140)` Auto generated method signature
    `boolean` | `updateApiForTenant(String apiName147, String apiData148, String tenantDomain149)` Auto generated method signature
    `boolean` | `updateApiFromString(String apiName51, String apiData52)` Auto generated method signature
    `void` | `updateSwaggerDocument(String apiName91, String swaggerJsonString92, int tenantId93)` Auto generated method signature for Asynchronous Invocations

- - ### Method Detail

    - #### updateApiFromString

          boolean updateApiFromString(String apiName51,
                                      String apiData52)
                               throws RemoteException,
                                      RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `updateApiFromString50` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startupdateApiFromString

          void startupdateApiFromString(String apiName51,
                                        String apiData52,
                                        RestApiAdminCallbackHandler callback)
                                 throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `updateApiFromString50` -
      Throws:
        `RemoteException`

    - #### generateUpdatedAPIFromSwagger

          String generateUpdatedAPIFromSwagger(String swaggerJsonString56,
                                               String existingApiName57)
                                        throws RemoteException,
                                               RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `generateUpdatedAPIFromSwagger55` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startgenerateUpdatedAPIFromSwagger

          void startgenerateUpdatedAPIFromSwagger(String swaggerJsonString56,
                                                  String existingApiName57,
                                                  RestApiAdminCallbackHandler callback)
                                           throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `generateUpdatedAPIFromSwagger55` -
      Throws:
        `RemoteException`

    - #### deleteApi

          boolean deleteApi(String apiName61)
                     throws RemoteException,
                            RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `deleteApi60` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startdeleteApi

          void startdeleteApi(String apiName61,
                              RestApiAdminCallbackHandler callback)
                       throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `deleteApi60` -
      Throws:
        `RemoteException`

    - #### getApiByName

          APIData getApiByName(String apiName65)
                        throws RemoteException

      Auto generated method signature
      Parameters:
        `getApiByName64` -
      Throws:
        `RemoteException`

    - #### startgetApiByName

          void startgetApiByName(String apiName65,
                                 RestApiAdminCallbackHandler callback)
                          throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getApiByName64` -
      Throws:
        `RemoteException`

    - #### disableTracing

          String disableTracing(String apiName69)
                         throws RemoteException,
                                RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `disableTracing68` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startdisableTracing

          void startdisableTracing(String apiName69,
                                   RestApiAdminCallbackHandler callback)
                            throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `disableTracing68` -
      Throws:
        `RemoteException`

    - #### getAPIsForListing

          APIData[] getAPIsForListing(int pageNumber73,
                                      int itemsPerPage74)
                               throws RemoteException

      Auto generated method signature
      Parameters:
        `getAPIsForListing72` -
      Throws:
        `RemoteException`

    - #### startgetAPIsForListing

          void startgetAPIsForListing(int pageNumber73,
                                      int itemsPerPage74,
                                      RestApiAdminCallbackHandler callback)
                               throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getAPIsForListing72` -
      Throws:
        `RemoteException`

    - #### getApiForTenant

          APIData getApiForTenant(String apiName78,
                                  String tenantDomain79)
                           throws RemoteException,
                                  RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `getApiForTenant77` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startgetApiForTenant

          void startgetApiForTenant(String apiName78,
                                    String tenantDomain79,
                                    RestApiAdminCallbackHandler callback)
                             throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getApiForTenant77` -
      Throws:
        `RemoteException`

    - #### disableStatistics

          String disableStatistics(String apiName83)
                            throws RemoteException,
                                   RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `disableStatistics82` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startdisableStatistics

          void startdisableStatistics(String apiName83,
                                      RestApiAdminCallbackHandler callback)
                               throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `disableStatistics82` -
      Throws:
        `RemoteException`

    - #### enableStatistics

          String enableStatistics(String apiName87)
                           throws RemoteException,
                                  RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `enableStatistics86` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startenableStatistics

          void startenableStatistics(String apiName87,
                                     RestApiAdminCallbackHandler callback)
                              throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `enableStatistics86` -
      Throws:
        `RemoteException`

    - #### updateSwaggerDocument

          void updateSwaggerDocument(String apiName91,
                                     String swaggerJsonString92,
                                     int tenantId93)
                              throws RemoteException,
                                     RestApiAdminAPIException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### enableTracing

          String enableTracing(String apiName95)
                        throws RemoteException,
                               RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `enableTracing94` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startenableTracing

          void startenableTracing(String apiName95,
                                  RestApiAdminCallbackHandler callback)
                           throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `enableTracing94` -
      Throws:
        `RemoteException`

    - #### deleteSelectedApi

          void deleteSelectedApi(String[] apiNames99)
                          throws RemoteException,
                                 RestApiAdminAPIException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### addApiFromString

          boolean addApiFromString(String apiData101)
                            throws RemoteException,
                                   RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `addApiFromString100` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startaddApiFromString

          void startaddApiFromString(String apiData101,
                                     RestApiAdminCallbackHandler callback)
                              throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `addApiFromString100` -
      Throws:
        `RemoteException`

    - #### addApiForTenant

          boolean addApiForTenant(String apiData105,
                                  String tenantDomain106)
                           throws RemoteException,
                                  RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `addApiForTenant104` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startaddApiForTenant

          void startaddApiForTenant(String apiData105,
                                    String tenantDomain106,
                                    RestApiAdminCallbackHandler callback)
                             throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `addApiForTenant104` -
      Throws:
        `RemoteException`

    - #### deleteApiForTenant

          boolean deleteApiForTenant(String apiName110,
                                     String tenantDomain111)
                              throws RemoteException,
                                     RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `deleteApiForTenant109` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startdeleteApiForTenant

          void startdeleteApiForTenant(String apiName110,
                                       String tenantDomain111,
                                       RestApiAdminCallbackHandler callback)
                                throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `deleteApiForTenant109` -
      Throws:
        `RemoteException`

    - #### getSwaggerDocument

          String getSwaggerDocument(String apiName115,
                                    int tenantId116)
                             throws RemoteException,
                                    RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `getSwaggerDocument114` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startgetSwaggerDocument

          void startgetSwaggerDocument(String apiName115,
                                       int tenantId116,
                                       RestApiAdminCallbackHandler callback)
                                throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getSwaggerDocument114` -
      Throws:
        `RemoteException`

    - #### getSequences

          String[] getSequences()
                         throws RemoteException

      Auto generated method signature
      Parameters:
        `getSequences119` -
      Throws:
        `RemoteException`

    - #### startgetSequences

          void startgetSequences(RestApiAdminCallbackHandler callback)
                          throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getSequences119` -
      Throws:
        `RemoteException`

    - #### getResourceSource

          String getResourceSource(ResourceData resourceData123)
                            throws RemoteException

      Auto generated method signature
      Parameters:
        `getResourceSource122` -
      Throws:
        `RemoteException`

    - #### startgetResourceSource

          void startgetResourceSource(ResourceData resourceData123,
                                      RestApiAdminCallbackHandler callback)
                               throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getResourceSource122` -
      Throws:
        `RemoteException`

    - #### getAPICount

          int getAPICount()
                   throws RemoteException

      Auto generated method signature
      Parameters:
        `getAPICount126` -
      Throws:
        `RemoteException`

    - #### startgetAPICount

          void startgetAPICount(RestApiAdminCallbackHandler callback)
                         throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getAPICount126` -
      Throws:
        `RemoteException`

    - #### getApiSource

          String getApiSource(APIData apiData130)
                       throws RemoteException

      Auto generated method signature
      Parameters:
        `getApiSource129` -
      Throws:
        `RemoteException`

    - #### startgetApiSource

          void startgetApiSource(APIData apiData130,
                                 RestApiAdminCallbackHandler callback)
                          throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getApiSource129` -
      Throws:
        `RemoteException`

    - #### deleteAllApi

          void deleteAllApi()
                     throws RemoteException,
                            RestApiAdminAPIException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### addSwaggerDocument

          void addSwaggerDocument(String apiName135,
                                  String swaggerJsonString136,
                                  int tenantId137)
                           throws RemoteException,
                                  RestApiAdminAPIException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### updateApi

          boolean updateApi(String apiName139,
                            APIData apiData140)
                     throws RemoteException,
                            RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `updateApi138` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startupdateApi

          void startupdateApi(String apiName139,
                              APIData apiData140,
                              RestApiAdminCallbackHandler callback)
                       throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `updateApi138` -
      Throws:
        `RemoteException`

    - #### getServerContext

          String getServerContext()
                           throws RemoteException,
                                  RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `getServerContext143` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startgetServerContext

          void startgetServerContext(RestApiAdminCallbackHandler callback)
                              throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getServerContext143` -
      Throws:
        `RemoteException`

    - #### updateApiForTenant

          boolean updateApiForTenant(String apiName147,
                                     String apiData148,
                                     String tenantDomain149)
                              throws RemoteException,
                                     RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `updateApiForTenant146` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startupdateApiForTenant

          void startupdateApiForTenant(String apiName147,
                                       String apiData148,
                                       String tenantDomain149,
                                       RestApiAdminCallbackHandler callback)
                                throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `updateApiForTenant146` -
      Throws:
        `RemoteException`

    - #### getApiNames

          String[] getApiNames()
                        throws RemoteException

      Auto generated method signature
      Parameters:
        `getApiNames152` -
      Throws:
        `RemoteException`

    - #### startgetApiNames

          void startgetApiNames(RestApiAdminCallbackHandler callback)
                         throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getApiNames152` -
      Throws:
        `RemoteException`

    - #### addApi

          boolean addApi(APIData apiData156)
                  throws RemoteException,
                         RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `addApi155` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startaddApi

          void startaddApi(APIData apiData156,
                           RestApiAdminCallbackHandler callback)
                    throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `addApi155` -
      Throws:
        `RemoteException`

    - #### generateAPIFromSwagger

          String generateAPIFromSwagger(String swaggerJsonString160)
                                 throws RemoteException,
                                        RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `generateAPIFromSwagger159` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startgenerateAPIFromSwagger

          void startgenerateAPIFromSwagger(String swaggerJsonString160,
                                           RestApiAdminCallbackHandler callback)
                                    throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `generateAPIFromSwagger159` -
      Throws:
        `RemoteException`

Copyright © 2019 WSO2. All rights reserved.